#{extends 'border.html'/}
<div class="container-fluid">

	<div class="row">
		<div class="col-md-2 hidden-mobile">
			#{include 'pl/filter-komoditas.html'/}
		</div>
		
		<div class="col-md-10">
			<!-- Toolbar -->
			<div class="toolbar">
				<a href="@{create()}" class="btn btn-primary btn-md"><i class="fa fa-plus"></i> &{'tambah.label'} &{'komoditas.label'}</a>
			</div>
			<!-- End Toolbar -->
			#{alert /}
			<div class="panel panel-default">
				<div class="panel-body hidden-mobile" style="overflow-x:auto;">
					<!-- Data Table -->
					<table class="table table-striped" id="tblKomoditas">
						<thead>
							<tr>
								<th>&{'nomor.label'}</th>
								<th>&{'nama_komoditas.label'}</th>
								<th>&{'kode_komoditas.label'}</th>
								<th>&{'kategori.label'}</th>
								<th>&{'kelas_harga.label'}</th>
								<th>&{'terkunci.label'}</th>
								<th>&{'aktif.label'}</th>
								*{<th>&{'kategori_produk.label'}</th>}*
								*{<th>&{'atribut_harga_produk.label'}</th>}*
								<th>&{'status.label'}</th>
								<th></th>
							</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
				<div class="panel-body only-mobile" style="overflow-x:auto;">
					<!-- Data Table -->
					<table class="table table-striped" id="tblKomoditasMobile">
						<thead>
						<tr>
							<th>&{'nomor.label'}</th>
							<th>&{'nama_komoditas.label'}</th>
							<th>&{'kode_komoditas.label'}</th>
							<th>&{'kategori.label'}</th>
							<th>&{'kelas_harga.label'}</th>
							<th>&{'terkunci.label'}</th>
							<th>&{'aktif.label'}</th>
							*{<th>&{'kategori_produk.label'}</th>}*
							*{<th>&{'atribut_harga_produk.label'}</th>}*
                            <th>&{'status.label'}</th>
							<th></th>
						</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
			</div>
		</div>
	</div>
	<div class="btn-footer">
		<div class="row">
			<div class="col-xs-12">
				<a href="#" onclick="openFilterKomoditas()">Filter</a>
			</div>
		</div>
	</div>
	<div class="faq" id="mobile-sidebar">
		<div class="mobile-navigation-bar">
			<a href="#" onclick="closeSidebar()">
				<i class="fa fa-arrow-circle-left"></i> &{'komoditas.label'}
			</a>
		</div>
		<div class="container-fluid">
			<div class="row">
				<div class="col-xs-12 col-sm-12">
					#{include 'pl/filter-komoditas.html'/}
				</div>
			</div>
		</div>
	</div>
</div>

<div class="modal fade" id="rejectModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
#{form @admin.KomoditasCtr.createSubmitIkon(), method:'POST', enctype:'multipart/form-data'}
    <div class="modal-dialog" role="document">

        <div class="modal-content">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"
                        aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="myModalLabel">&{'ikon.label'} &{'komoditas.label'}</h4>
            </div>
            <div class="modal-body">
                <div id="error-message" class="alert alert-danger" role="alert" style="display: none"></div>
                <div class="form-group">
                    <label class="control-label">&{'gambar.label'} &{'ikon.label'} </label><br>
                    <img id="icon-image" width="100px" height="100px" src="@{'/public/images/image-not-found.png'}" onerror="this.src='@{'/public/images/image-not-found.png'}';">
                </div>
                <div class="form-group">
                    <input type="file" name="ikon">
                    <input type="hidden" class="komoditas_id" name="komoditas_id" value="225">
                </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary">&{'save'}</button>
                <button type="button" class="btn btn-danger" data-dismiss="modal">&{'batal.label'}</button>
            </div>
        </div>
    </div>
#{/form}
</div>
<!-- Modal -->

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {

		$("#tblKomoditas").dataTable({
            "searching": false,
            ajax: {
                url:"@{admin.komoditas.KomoditasDataTable.cariKomoditas()}",
				method: "POST",
				data: function (d) {
                    d.model = {};
					d.model.keyword = $('.hidden-mobile #keyword').val();
					d.model.category = $('.hidden-mobile #category').val();
                    d.model.adds = $('.hidden-mobile #adds').val();
                    d.model.deliveryCost = $('.hidden-mobile #deliveryCost').val();
                    d.model.approval = $('.hidden-mobile #approval').val();
                    d.model.isDuplicate = $('.hidden-mobile #duplicate').val();
					d.model.negotiation = $('.hidden-mobile #need-negotiation').val();
				},
                cache: true
			},
            order: [[ 0, "desc" ]],
            columns: [
                {"searchable": false, "className": "header-center",
                    render: function(data, type, row, meta) {
                        return meta.row + meta.settings._iDisplayStart + 1 + ".";
                    } },
                {"searchable": true },
                {"searchable": true, "className": "header-center" },
                {"searchable": true, "className": "header-center" },
                {"searchable": true, "className": "header-center" },
                {"searchable": false, "className": "header-center" },
                {"searchable": false, "className": "header-center" },
                // {"searchable": false, orderable:false, "className": "header-center" },
                // {"searchable": false, orderable:false, "className": "header-center" },
                {"searchable": false, orderable:false, "className": "header-center" },
                {"searchable": false, orderable:false, "className": "header-center" }
            ]
        });
		$("#tblKomoditasMobile").dataTable({
			"searching": false,
			ajax: {
				url:"@{admin.komoditas.KomoditasDataTable.cariKomoditas()}",
				method: "POST",
				data: function (d) {
					d.model = {};
					d.model.keyword = $('#mobile-sidebar #keyword').val();
					d.model.category = $('#mobile-sidebar #category').val();
					d.model.adds = $('#mobile-sidebar #adds').val();
					d.model.deliveryCost = $('#mobile-sidebar #deliveryCost').val();
					d.model.approval = $('#mobile-sidebar #approval').val();
					d.model.isDuplicate = $('#mobile-sidebar #duplicate').val();
					d.model.negotiation = $('#mobile-sidebar #need-negotiation').val();
				},
				cache: true
			},
			order: [[ 0, "desc" ]],
			columns: [
				{"searchable": false, "className": "header-center",
					render: function(data, type, row, meta) {
						return meta.row + meta.settings._iDisplayStart + 1 + ".";
					} },
				{"searchable": true },
				{"searchable": true, "className": "header-center" },
				{"searchable": true, "className": "header-center" },
				{"searchable": true, "className": "header-center" },
				{"searchable": false, "className": "header-center" },
				{"searchable": false, "className": "header-center" },
                // {"searchable": false, orderable:false, "className": "header-center" },
				// {"searchable": false, orderable:false, "className": "header-center" },
				{"searchable": false, orderable:false, "className": "header-center" },
				{"searchable": false, orderable:false, "className": "header-center" }
			]
		});
		$('.hidden-mobile .search-commodity').on('click', function () {
			$("#tblKomoditas").DataTable().order(JSON.parse($('.hidden-mobile #order').val())).draw();
		});

		$('#mobile-sidebar .search-commodity').on('click', function () {
			$("#tblKomoditasMobile").DataTable().order(JSON.parse($('#mobile-sidebar #order').val())).draw();
			closeSidebar();
		});

		$('.hidden-mobile #keyword').keypress(function(event){
			var keycode = event.keyCode || event.which;
			if(keycode == '13') {
				$('.hidden-mobile .search-commodity').click();
				return false;
			}
			return;
		});

		$('#mobile-sidebar #keyword').keypress(function(event){
			var keycode = event.keyCode || event.which;
			if(keycode == '13') {
				$('#mobile-sidebar .search-commodity').click();
				closeSidebar();
				return false;
			}
			return;
		});
    });

    function uploadIcon(komoditasId) {
        $('.komoditas_id').val(komoditasId);
        $('#rejectModal').modal('show');
        var formData = {
            'komoditas_id'  : $('.komoditas_id').val(komoditasId)
        };
    }

    function getIcon(komoditasId) {
        var url = "@{admin.KomoditasCtr.getImageIcon()}"+"?komoditas_id="+komoditasId;
        $.ajax({
            url : url,
            type : "get",
            dataType : "json",
            success : function(data) {
                $('#icon-image').attr('src', '/public/files/image/komoditas/'+data.icon);
            }
        });
        $('#icon-image').attr('src', '/public/images/image-not-found.png');
    }

</script>
#{/set}